# Class StatusDialog | EchoHub Documentation
A Terminal.Gui dialog for setting the user's status and status message.

# Class StatusDialog

Namespace
  EchoHub.Client.UI.Dialogs

Assembly
  EchoHub.Client.dll

A Terminal.Gui dialog for setting the user's status and status message.

    public sealed class StatusDialog

Inheritance
  object
  StatusDialog

Inherited Members
  object.GetType()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### StatusDialog()

    public StatusDialog()

## Methods

### Show(IApplication, UserStatus, string?)

Shows the status dialog and returns the result, or null if cancelled.

    public static StatusDialogResult? Show(IApplication app, UserStatus currentStatus, string? currentMessage)

#### Parameters

`app` IApplication
`currentStatus` UserStatus
`currentMessage` string

#### Returns

StatusDialogResult